Subject: [bug#48729] [PATCH v2 05/47] gnu: Add go-github-com-keybase-go-ps.

From: Raghav Gururajan <[email-masked]>
Date: Fri, 11 Jun 2021 00:17:01 -0400

Hi Maxime!

> When cross-compiling, coreutils is not in 'inputs', but in 'native-inputs', right?
> So this would lead to a build error when cross-compiling.
> (assoc-ref inputs "coreutils") would return #f, thus you'd get an exception
> 
> ice-9/boot-9.scm:1685:16: In procedure raise-exception:
> In procedure string-append: Wrong type (expecting string): #f

I am confused. It is used only during check phase (which is build-time), 
so when cross-compiling, the arch for build machine is used for 
native-inputs right?

I wonder how other native-inputs like gettext etc doesn't give this error.

> I would make this (untested):
> 
>    (sring-append (assoc-ref (or native-inputs inputs) "coreutils") "/bin/sleep")

Thanks!

Regards,
RG.